<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LocationRegions StructType
 * @subpackage Structs
 */
class LocationRegions extends AbstractStructBase
{
    /**
     * The region
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $region;
    /**
     * Constructor method for LocationRegions
     * @uses LocationRegions::setRegion()
     * @param \StructType\RecordRef $region
     */
    public function __construct(\StructType\RecordRef $region = null)
    {
        $this
            ->setRegion($region);
    }
    /**
     * Get region value
     * @return \StructType\RecordRef|null
     */
    public function getRegion()
    {
        return $this->region;
    }
    /**
     * Set region value
     * @param \StructType\RecordRef $region
     * @return \StructType\LocationRegions
     */
    public function setRegion(\StructType\RecordRef $region = null)
    {
        $this->region = $region;
        return $this;
    }
}
